Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class Curve

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.image.Curve

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class Curve
extends Component

This class represents the QuickTime vectors. QuickTime vectors are mathematical descriptions of images that are smaller in size than their equivalent bitmaps and can be scaled without loss of image quality.

Data for a QuickTime vector is stored in a QT atom container. The contents are a stream of atoms. Each atom contains one of the following:

- a specification of a path
- a style specification for the path, such as the stroke width of the pen used to draw the path
- an atom that identifies the end of the data stream

  It should be noted that calls that need to have the data endian flipped is done internally by QTJava for you, else its explicitly mentioned if the Endian flipping is the responsiblity of the application.

  Fields inherited from interface quicktime.jdirect.QuickTimeLib
  `JDirect_MacOSX, libraryInstance, name`

  Constructor Summary
  `Curve()` Opens the specified QTVector component subtype kVectorCodecType.

  Methods inherited from class quicktime.std.comp.Component
  `count`

  Methods inherited from class quicktime.std.comp.ComponentIdentifier
  `find, find, getInfo, toString`

  Methods inherited from class quicktime.QTObject
  `disposeQTObject, equals, ID`

  Methods inherited from class java.lang.Object
  `getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Constructor Detail

  ### Curve

      public Curve()
            throws QTException

    Opens the specified QTVector component subtype kVectorCodecType.
    QuickTime::OpenADefaultComponent

    Overview | Package | Class | Tree | Deprecated | Index | Help
    PREV CLASS NEXT CLASS | FRAMES NO FRAMES
    SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD